Skip to Content
veriom

Assign registered source

PATCH
/v1/workspaces/{workspace_id}/registered-sources/{source_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
source_id*Source Id
Formatuuid

Request Body

application/json
  1. body
group_id?|null
owner_label?|null

Response Body

Successful Response

application/json
  1. response
display_name*Display Name
freshness_seconds*integer|null
group_id*|null
id*Id
Formatuuid
last_observed_at*|null
metadata_json*
owner_label*string|null
source_kind*Source Kind
source_ref*Source Ref
status*Status
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/registered-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "display_name": "string",  "freshness_seconds": 0,  "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_observed_at": "2019-08-24T14:15:22Z",  "metadata_json": {},  "owner_label": "string",  "source_kind": "string",  "source_ref": "string",  "status": "string"}